package kr.co.hanwha.hifive.data.model;

import android.text.TextUtils;

/**
 * Created by sanghoonkwon on 2018. 1. 11..
 */

public class ProjectInfoData extends BaseData {
    /**
     * ex) 0
     */
    int project_id;
    /**
     * ex) "NewGW-Dev"
     */
    String project_name;

    int role_code;

    public int getProject_id() {
        return project_id;
    }

    public String getProject_name() {
        return TextUtils.isEmpty(project_name) ? "" : project_name;
    }

    public void setProject_id(int project_id) {
        this.project_id = project_id;
    }

    public void setProject_name(String project_name) {
        this.project_name = project_name;
    }

    public int getRole_code() {
        return role_code;
    }
}
/**
 * 2018.4.12
 * {
 * "task_id":0,
 * "task_name":"",
 * "project_id":41,
 * "project_name":"도와줘요개발팀",
 * "track_id":18,
 * "track_name":"클러스터 원",
 * "role_code":20,
 * "role_name":"캡틴",
 * "status":0,
 * "cmdr_intent":"중년갑부.. 청년갑부는 이미 틀렸......__thisisdelimiter__목표는 로또 5주연속 1등 당첨",
 * "evaluation":0,
 * "eval_name":"",
 * "due_date":"",
 * "leader_member_id":0,
 * "author_member_id":0,
 * "created_at":"",
 * "updated_at":"",
 * "_public":true
 * }
 */
